jQuery(document).ready(function($) {
    //opcions edit
    /*$('[data-drag]').on('mousedown', function(e){
        var wrap = $(this).data('drag');
        $(wrap).attr('draggable', 'true');
    });
    $(document).on('dragleave', '.opt-box-wrap', function(e){
        $(this).attr('draggable', 'false');
    });*/
    $('.delete').on('click', function(e) {
        //e.preventDefault();
        var r = confirm("Segur que vols eliminar?");
        if (r == true) {
            return true;
        } else {
            return false;
        }
    });
    $("#seccionsTable").DataTable({
        "order": [[ 3, "desc" ]],
        "responsive": true,
        "autoWidth": false,
        "language": {
            "lengthMenu": "Mostrar _MENU_ resultats per pàgina",
            "zeroRecords": "No hi ha resultats - sorry",
            "info": "Mostrant pàgina _PAGE_ de _PAGES_",
            "infoEmpty": "No hi ha resultats disponibles",
            "infoFiltered": "(filtered from _MAX_ total records)",
            paginate: {
                first:    '«',
                previous: '‹',
                next:     '›',
                last:     '»'
            },
        }
    });
    /*$(document).on('click', '.info-box-opt', function(e){
        e.preventDefault();

        var opt = $(this).attr('data-box');
        var nom = $(this).find('.nom-opt-c').text();
        var desc = $(this).find('.desc-opt-c span').text();
        var preu = $(this).find('.preu-opt').text();
        
        $('#modalOpt').find('#modalOptLabel').text(nom);
        $('#modalOpt').find('input[name="nom-opt[]"]').val(nom);
        $('#modalOpt').find('input[name="preu-opt[]"]').val(preu);
        $('#modalOpt').find('textarea[name="desc-opt[]"]').val(desc);
        $('#modalOpt').show();
    });
    $(document).on('change', '.multiple-opt', function(e){
        var wrap = $(this).data('wrap');
        if($(this).is(':checked')){
            console.log('ok');
            $('#'+wrap).find('.icon-box-opt').removeClass('fa-dot-circle').addClass('fa-check-square');
        }else{
            $('#'+wrap).find('.icon-box-opt').removeClass('fa-check-square').addClass('fa-dot-circle');
        }
    });
    $('.btn-new-opt').on('click', function(e){
        e.preventDefault();
        $('#nova-opcio-wrap').toggle();
    });*/
});